%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:			os-net-config
Version:		8.5.1
Release:		3%{?dist}
Summary:		Host network configuration tool

License:		ASL 2.0
URL:			http://pypi.python.org/pypi/%{name}
Source0:		https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz

# patches_ignore=DROP-IN-RPM
# patches_base=8.5.1
Patch0001: 0001-Add-linkdelay-option.patch
Patch0002: 0002-Cleanup-the-sriov_numvfs-config-scripts.patch
Patch0003: 0003-Adding-testcases-for-sriov_config.patch
Patch0004: 0004-Using-tempfile-instead-of-fixed-path-in-unit-tests.patch

BuildArch:	noarch
BuildRequires:	python-setuptools
BuildRequires:	python2-devel
BuildRequires:	python2-pbr
BuildRequires:	python2-sphinx
BuildRequires:	python2-oslo-sphinx

Requires:	python-anyjson >= 0.3.3
Requires:	python2-eventlet >= 0.18.2
Requires:	python2-oslo-concurrency >= 3.8.0
Requires:	python2-oslo-config
Requires:	python2-oslo-utils >= 3.20.0
Requires:	python2-netaddr >= 0.7.13
Requires:	python2-iso8601 >= 0.1.11
Requires:	python2-six >= 1.9.0
Requires:	initscripts
Requires:	iproute
Requires:	ethtool
Requires:	dhclient
Requires:	PyYAML >= 3.10
Requires:	python2-pbr >= 2.0.0
Requires:	python2-jsonschema >= 2.0.0
Requires:	python-pyudev >= 0.15

%description
Host network configuration tool for OpenStack.

%prep

%setup -q -n %{name}-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1

%build
%{__python} setup.py build
%{__python} setup.py build_sphinx

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

%files
%doc README.rst
%doc LICENSE
%doc doc/build/html
%{_bindir}/os-net-config
%{_bindir}/os-net-config-sriov
%{python_sitelib}/os_net_config*


%changelog
* Tue Jan 28 2020 Steve Linabery <slinaber@redhat.com> 8.5.1-3
- Using tempfile instead of fixed path in unit tests.
- Adding testcases for sriov_config

* Tue Nov 19 2019 Saravanan KR <skramaja@redhat.com> 8.5.1-2
- Cleanup the sriov_numvfs config scripts (rhbz#1750643)
- Add linkdelay option (rhbz#1760635)

* Thu Oct 03 2019 Steve Linabery <slinaber@redhat.com> 8.5.1-1
- Update to 8.5.1

* Tue Sep 17 2019 Saravanan KR <skramaja@redhat.com> 8.4.4-8
- fix missing shared_block for PF interface in switchdev bond connected to ovs (rhbz#1750336)
- Numvfs setting during update/upgrade (rhbz#1750643)

* Thu Sep 12 2019 Bob Fournier <bfournie@redhat.com> 8.4.4-7
- Replace coremask with cpu_list in vrouter schema (rhbz#1750259)

* Fri Jul 26 2019 Bob Fournier <bfournie@redhat.com> 8.4.4-6
- Add ETHTOOL_OPTS support for LinuxBond class (rhbz#1730999)
- ifdown does not work if no ifcfg file exist (rhbz#1731258)

* Wed Jul 10 2019 Saravanan KR <skramaja@redhat.com> 8.4.4-5
- Restructuring the method of vf-representor renaming (rhbz#1721079)
- Fixed the false InvalidConfigException for vfid=0 (rhbz#1712401)
- Fix handling of SR-IOV PF routes (rhbz#1722272)
- [FUP] Update sriov_pf.yaml samle with ethtool_opt (rhbz#1714966)
- Add support for ethtool options for sriov_pf ports (rhbz#1714966)
- Add Policy Based Routing Support to os-net-config (rhbz#1701105)
- Unify ethtool options logic (rhbz#1714966)
- Add missing unit-test for IbInterface ethtool opts (rhbz#1714966)

* Tue Jun 04 2019 Steve Linabery <slinaber@redhat.com> 8.4.4-4
- Modify udev rule for VF representor rename
- Add upper constraints to tox

* Wed May 29 2019 Harry Rybacki <hrybacki@redhat.com> 8.4.4-3
- Add ability to specify multiple search domains (rhbz#1713761)
- Enable setting domain parameter for interfaces (rhbz#1713761)

* Tue Apr 23 2019 Bob Fournier <bfournie@redhat.com> 8.4.4-2
- Add ovs_options and ovs_extra parameters to VLAN object (rhbz#1698036)

* Thu Apr 04 2019 Jon Schlueter <jschluet@redhat.com> 8.4.4-1
- Update to 8.4.4 (rhbz#1696501)
- Apply IP/netmask/route/MTU changes without bouncing interfaces. (rhbz#1650298)

* Wed Mar 27 2019 Saravanan KR <skramaja@redhat.com> 8.4.3-7
- Allow adding sriov_pf over ovs_bridge, linux_bond and ovs_bond (rhbz#1686772)
- Adding a udev rule to rename the vf representors. (rhbz#1686772)
- Adding a udev rule to save sriov interface name before configuring switchdev (rhbz#1686772)
- Removing the warnings generated due to yaml.load() (rhbz#1686772)
- Configure switchdev mode in SR-IOV in os-net-config (rhbz#1686772)

* Fri Mar 01 2019 Bob Fournier <bfournie@redhat.com> 8.4.3-6
- Fix incorrect application of 'ip' commands for bridges (rhbz#1684663)

* Thu Jan 31 2019 karthik s <ksundara@redhat.com> 8.4.3-5
- NIC-Partitioning: DPDK devices comes up properly after reboot (rhbz#1658195)
- Sample templates for linux_bond, ovs_bond, dpdkbond using VFs (rhbz#1658195)
- Add sriov_vf type as member of ovs_dpdk_port (rhbz#1658195)
- NIC Partitioning works with NM enabled (rhbz#1658195)
- Add default VF configs for ovs and ovs_user bridges (rhbz#1658195)
- Adding VLAN support and other configs for sriov_vf (rhbz#1658195)
- Updating requirements for pyudev (rhbz#1658195)
- Remove mox usage (rhbz#1668157)

* Mon Jan 28 2019 Steve Linabery <slinaber@redhat.com> 8.4.3-4
- Retry ovs-appctl command
- Apply IP/netmask/route/MTU changes without bouncing interfaces.

* Tue Dec 11 2018 Bob Fournier <bfournie@redhat.com> 8.4.3-3
- Fix - restart VLAN interface on underlying device change (rhbz#1655765)

* Wed Oct 17 2018 Jon Schlueter <jschluet@redhat.com> 8.4.3-2
- Update to 8.4.3 (rhbz#1640081)
- Restart ivs/nvfswitch after config file is updated (rhbz#1632417)

* Thu Jun 14 2018 Bob Fournier <bfournie@redhat.com> 8.4.1-4
- Restore the order of params in ifcfg file that was inadvertently changed (rhbz#1590651)

* Tue May 15 2018 Bob Fournier <bfournie@redhat.com> 8.4.1-3
- Removed dependency on openvswitch (rhbz#1578440)

* Thu May 03 2018 Bob Fournier <bfournie@redhat.com> 8.4.1-2
- ifcfg: don't restart ovs if --no-activate is specified (rhbz#1572668)

* Tue Apr 24 2018 Jon Schlueter <jschluet@redhat.com> 8.4.1-1
- Update to 8.4.1

* Tue Mar 27 2018 Jon Schlueter <jschluet@redhat.com> 8.4.0-1
- Update to 8.4.0

* Thu Mar 08 2018 RDO <dev@lists.rdoproject.org> 8.3.0-1
- Update to 8.3.0

